Bug 14125 - R on Windows crashes when using certain characters in strings in data frames
R on Windows crashes when using certain characters in strings in data frames
Status: CLOSED FIXED
Product: R
Classification: Unclassified
Component: Low-level
old
ix86 (32-bit) Windows 32-bit
: P5 normal
Assigned To: Jitterbug compatibility account
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-10 15:15 UTC by Jitterbug compatibility account
Modified: 2009-12-10 15:15 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jitterbug compatibility account 2009-12-10 15:15:16 UTC
From: karl@huftis.org
Full_Name: Karl Ove Hufthammer
Version: 2.10.0
OS: Windows XP
Submission from: (NULL) (93.124.134.66)


I have found a rather strange bug in R 2.10.0 on Windows, where the choice of
characters used in a string make R crash (i.e., Windows shows a dialogue saying
that the application has a problem, and must be closed).

I can reproduce the bug on two separate systems running Windows XP, and with
both R 2.10.0 and the latest R.2.10.1 RC.

The following commands trigger the crash for me:

n=1e5
k=10
x=sample(k,n,replace=TRUE)
y=sample(k,n,replace=TRUE)
xy=paste(x,y,sep=" × ")
z=sample(n)
d=data.frame(xy,z)

The last step takes very long time, and R crashes before it's finished. Note
that if I reduce n, the problem disappears. Also, if I change the × (a
multiplication symbol) to a x (a letter), the problem also disappears (and the
last command takes almost no time to run).

I originally discovered this (or a related?) bug while using 'unique' on a data
frame similar to the 'd' data frame defined above, where R would often, but not
always, crash. 

> sessionInfo()
R version 2.10.0 (2009-10-26) 
i386-pc-mingw32 

locale:
[1] LC_COLLATE=Norwegian-Nynorsk_Norway.1252 
[2] LC_CTYPE=Norwegian-Nynorsk_Norway.1252   
[3] LC_MONETARY=Norwegian-Nynorsk_Norway.1252
[4] LC_NUMERIC=C                             
[5] LC_TIME=Norwegian-Nynorsk_Norway.1252    

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base

Comment 1 Jitterbug compatibility account 2009-12-15 14:50:00 UTC
NOTES:
 Fixed for 2.11.0
Comment 2 Jitterbug compatibility account 2009-12-15 14:50:32 UTC
Audit (from Jitterbug):
Tue Dec 15 08:50:32 2009	ripley	changed notes
Tue Dec 15 08:50:32 2009	ripley	moved from incoming to Low-level-fixed